<template>
  <img typeof="foaf:Image" class="img-responsive" :src="weatherIconId"
       width="75" height="45" alt="Sunny" title="Sunny">
</template>

<script>
export default {
  name: 'WeatherIcon',
  props: {
    iconId: Number
  },
  computed: {
    // Build image url from icon ids, image ids must be 2 digits that is not the case with API values
    weatherIconId() {
      const id = this.iconId < 10 ? '0' + this.iconId : this.iconId
      return "https://developer.accuweather.com/sites/default/files/"+ id +"-s.png"
    }
  }
}
</script>
